Bug 209263 - Review Request: emerald - Themeable window decorator and compositing manager for Beryl
Review Request: emerald - Themeable window decorator and compositing manager ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michał Bentkowski
Fedora Package Reviews List
:
Depends On: 209259
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-10-04 02:23 EDT by Jarod Wilson
Modified: 2011-04-05 11:17 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-21 15:59:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jarod Wilson 2006-10-04 02:23:58 EDT
Spec URL: http://wilsonet.com/packages/beryl/emerald.spec
SRPM URL: http://wilsonet.com/packages/beryl/emerald-0.1.0-1.fc6.src.rpm
Description:
--
Emerald is themeable window decorator and compositing 
manager for Beryl. Launch Theme Manager from
beryl-manager to change themes.
--

NOTE: This package depends on beryl-core, under review here: https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=209259.
Comment 1 Jarod Wilson 2006-10-05 15:29:42 EDT
Just uploaded -2 build to remedy duplicate menu entries.

http://wilsonet.com/packages/beryl/emerald-0.1.0-2.fc6.src.rpm
Comment 2 Lars G 2006-10-05 16:28:36 EDT
new emerald installs .desktop menu entries twice

/usr/share/applications/emerald-theme-manager.desktop
/usr/share/applications/fedora-emerald-theme-manager.desktop
Comment 3 Jarod Wilson 2006-10-05 16:45:20 EDT
Fixed in -3. Stupid oversight and lack of checking the resulting builds on my
part. :)

http://wilsonet.com/packages/beryl/emerald-0.1.0-3.fc6.src.rpm
Comment 4 Jarod Wilson 2006-10-26 11:39:14 EDT
Just pushed out a 0.1.1-1 build.

http://wilsonet.com/packages/beryl/emerald-0.1.1-1.fc6.src.rpm
Comment 5 Aurelien Bompard 2006-10-27 07:37:30 EDT
It builds on FC5 with this patch :
http://gauret.free.fr/fichiers/rpms/fedora/xgl/beryl-manager-0.1.1-intltool.patch
(same stuff as beryl-manager)
I also needed to add this line after intltoolize in prep:
sed -i -e "/^POTFILES/d" po/Makefile.in.in
It looks like this old version of intltool does not insert the content of the
POTFILES file, so there is an annoying leftover backslash which prevents the
CATALOGS from being built.

I'm not sure it's worth working too hard to have beryl/emerald on FC5 now that
FC6 is out.
Comment 6 Jarod Wilson 2006-11-14 14:17:14 EST
I think I'm leaning toward agreeing that working on these for FC5 isn't the best
use of time w/FC6 already out. Once all the packages are accepted into Fedora
Extras, perhaps revisit getting them together for FC5 as well.

Latest build, using new upstream tarballs:

http://wilsonet.com/packages/beryl/emerald-0.1.2-2.fc6.src.rpm
Comment 7 Michał Bentkowski 2006-11-15 14:24:57 EST
MUST items:
!* rpmlint output:
E: emerald binary-or-shlib-defines-rpath /usr/lib64/emerald/engines/
libpixmap.so ['/usr/lib64']
E: emerald binary-or-shlib-defines-rpath /usr/lib64/emerald/engines/
libtruglass.so ['/usr/lib64']
E: emerald binary-or-shlib-defines-rpath /usr/lib64/emerald/engines/
libvrunner.so ['/usr/lib64']
E: emerald binary-or-shlib-defines-rpath /usr/lib64/emerald/engines/
liboxygen.so ['/usr/lib64']
E: emerald binary-or-shlib-defines-rpath /usr/lib64/emerald/engines/
liblegacy.so ['/usr/lib64']
E: emerald binary-or-shlib-defines-rpath /usr/lib64/emerald/engines/
libzootreeves.so ['/usr/lib64']
E: emerald binary-or-shlib-defines-rpath /usr/bin/emerald-theme-manager ['/usr/
lib64']
E: emerald binary-or-shlib-defines-rpath /usr/bin/emerald ['/usr/lib64']
W: emerald-devel no-documentation
 * package is named well
 * spec file name is good
 * package meets Packaging Guidelines
 * package is licensed with a GPL open-source compatible license
 * License field in spec file matches actual license
 * license file is included in %doc
 * md5sums are matching (c273fe82c7e3b2867f05073f3b012708)
 * package successfully compiles on x86_64
 * BuildRequires listed well (mock builds well)
 * spec file handles locales properly
 * proper %post and %postun sections
 * not relocatable
 * package owns directories well
 * no duplicates in %files
 * every %files section includes %defattr 
 * proper %clean section
 * macros used well
 * -devel subpackage created good
 * .desktop file present and looks good

THINGS to do:
 * you have to fix rpath issue by adding following lines to %prep section:
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
Comment 8 Jarod Wilson 2006-11-15 16:00:35 EST
Blah, I meant to run rpmlint over all the packages to catch stuff like this...
The suggested fix doesn't work on this package, but adding this to %prep does:

perl -pi -e 's|hardcode_into_libs=.*|hardcode_into_libs=no|g' configure
perl -pi -e 's|hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g'
configure
perl -pi -e 's|runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' configure

New build has that included, rpmlint is (almost) silent:

http://wilsonet.com/packages/beryl/emerald-0.1.2-3.fc6.src.rpm

$ rpmlint /build/RPMS/x86_64/emerald-*0.1.2-3*
W: emerald-devel no-documentation

Comment 9 Michał Bentkowski 2006-11-15 16:51:23 EST
(In reply to comment #8)
> Blah, I meant to run rpmlint over all the packages to catch stuff like this...
> The suggested fix doesn't work on this package, but adding this to %prep does:

Hmm... Odd... I tried the solution I suggested and it did work for me.
But your solution works too so nothing stands in the way to approve the package.

APPROVED

Comment 10 leigh scott 2011-04-04 19:28:48 EDT
Package Change Request
======================
Package Name: emerald
New Branches: el6
Owners: leigh123linux
Comment 11 Jason Tibbitts 2011-04-05 11:17:27 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.